Un utente ha chiesto informazioni su BuddyMeet di Wordpress

Lo shortcode non funziona nelle lezioni Learndash

Un utente ha chiesto 👇

Ciao.

Voglio usare il tuo plugin con Learndash. Ho notato che una scorciatoia sulla pagina di una lezione del corso non funziona. Dopo aver forzato il caricamento degli script nel codice del plug-in, tutto funziona correttamente:

// $load_scripts = false;
$load_scripts = true;
        if(is_page()){
            $post = get_post();
            if($post && has_shortcode($post->post_content, buddymeet_get_slug())){
                $load_scripts = true;
            } else if( function_exists( 'buddypress' )){
                global $bp;
                if(buddymeet_get_slug() === $bp->current_action){
                    $load_scripts = true;
                }
            }

Puoi aggiustarlo in qualche modo?

Lanciatore di thread

(@villelai)

10 mesi, 2 settimane fa

Ho trovato un altro problema. Ho ospitato Jitsi da solo e ho creato stanze da utenti anonimi. Creo in anticipo una stanza dal frontend di Meet. Quando la stanza si carica tramite un collegamento, Jitsi Meet mostra un avviso visivo su sfondo rosso: “Impossibile bloccare la conferenza”. C’è anche un avviso di accesso: “Impossibile impostare la password Errore: non sei un moderatore.”

Commentando queste righe, posso eliminare gli avvisi:

//            api.addEventListener("videoConferenceJoined", function(event){
//                api.executeCommand("password", "%19$s");
//            });

Sembra che non sia possibile impostare una password vuota in un’applicazione API.

Autore del plugin

(@tdakanalis)

10 mesi, 1 settimana fa

Ciao,

quindi la pagina del corso Learndash non sembra essere un post. Potreste fornirmi un ulteriore controllo generico da aggiungere? Non ho il plug-in installato – è premium – e sfortunatamente ho un tempo molto limitato.

Grazie,
Temi

Lanciatore di thread

(@villelai)

10 mesi, 1 settimana fa

Ecco un esempio. Penso che sia un lavoro: https://lms.rkropisto.fi/lessons/test/

Lo shortcode ora funziona a causa delle mie modifiche.

(@pguzmanc)

10 mesi, 1 settimana fa

@villelai come hai gestito la soluzione? Ho avuto lo stesso problema con Quando la stanza veniva caricata tramite un collegamento, Jitsi Meet visualizza un avviso visivo su sfondo rosso: “Impossibile bloccare la conferenza”. C’è anche un avviso di accesso: “Impossibile impostare la password Errore: non sei un moderatore.”, Grazie a entrambi.

Lanciatore di thread

(@villelai)

10 mesi, 1 settimana fa

@pguzmanc gliel’ho detto prima. Ho commentato (aggiunto //) quelle tre righe in buddymeet.php che si trovano nella cartella dei plugin. Non è una buona soluzione, quindi si spera che @tdakanalis possa risolvere il problema nella prossima versione del plugin.

(@brendanshanahan)

9 mesi, 2 settimane fa

Dopo questo perché ho lo stesso problema con l’errore di blocco (non sto usando learndash).

Ho commentato queste righe in buddypress.php per risolvere questo problema.

(@ andrearaujo7967)

9 mesi fa

Grazie, sono riuscito a risolvere il tuo suggerimento

Autore del plugin

(@tdakanalis)

8 mesi, 2 settimane fa

Ciao,

aggiornamento alla versione appena rilasciata (1.7.0).

Grazie,
Temi

Autore del plugin

(@tdakanalis)

8 mesi fa

La versione 1.8.0 risolve il problema del “Blocco conferenza non riuscito”

Was this helpful?

0 / 0

Lascia un commento 0

Your email address will not be published. Required fields are marked *